Bug 187745 - residual Promise RAID tattooing confuses dmraid
residual Promise RAID tattooing confuses dmraid
Status: CLOSED DUPLICATE of bug 409931
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 09:34 EDT by Need Real Name
Modified: 2008-04-24 10:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 10:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-04-03 09:34:30 EDT
Description of problem:
Old tattooing from Promise hardware raid confuses dmraid in FC5.

Version-Release number of selected component (if applicable):
1.0.0.rc9

How reproducible:
On a machine which had Promise hardware RAID in use under RedHat 9, we disabled
the Promise hardware raid (setting the mode to Ultra IDE instead of Promise RAID
in the BIOS). We were able to install Fedora Core 4 with software RAID
partitions without problems. However, when we went to upgrade the machine from
Fedora Core 4 to Fedora Core 5, the installer complained about corrupted
partition maps. This problem doesn't occur if I repeat the same steps with the
FC4 installer. My guess is that dmraid is seeing some residual traces of the
tattooing from the original Promise hardware RAID usage. The Fedora Core
installer should be smart enough to detect when the Promise hardware RAID has
been depreciated in favor of the software RAID. 

Steps to Reproduce:
1. On a machine with Promise hardware RAID support, enable it in the BIOS and
install RedHat 9 with the non-free Promise RAID drivers.
2. Disable the hardware Promise RAID support and clean install Fedora Core 4
on the same drives with software RAID-1 partitions.
3. Reboot from the FC5 install CD and attempt to find the newly installed FC4
linux installation on the software RAID-1 partitions.
  
Actual results:
Anaconda reports partition map problems requiring a reformat.

Expected results:
I expected the FC4 md partitions to be found.

Additional info:
Comment 1 Heinz Mauelshagen 2006-04-03 09:51:38 EDT
Reassigning to anaconda, which should give the user the option to remove the
unwished RAID metadata from the hard disks by running 'dmraid -rE devpath
[devpath...]'.
Comment 2 Need Real Name 2006-04-03 10:04:22 EDT
Heinz,
    In the meanwhile is there a kernel option that I can pass to the installer
to disable dmraid? I am having trouble figuring that out. If I can disable dmraid
perhaps I could install FC5 on the problem FC4 installation.
                 Jack
Comment 3 Need Real Name 2006-04-03 12:48:24 EDT
Heinz,
    I have found that the 'nodmraid' option does allow the md partitions on the
FC4 machine, which once had hardware raid, to be seen by the FC5 installer.
Interestingly, a second machine which never had hardware raid enabled has a
somewhat different problem. The FC5 installer can't find the FC4 installation on
its software RAID-1 partitions but doesn't report a specific error. It just says
that no linux installations can be found and asks the user to format a drive.
Oddly the 'nodmraid' option solves this problem as well. Using that option the
existing FC4 RAID-1 md root partition is found and the installation can proceed
without problems. Is this a known issue that some configurations which have
never had hardware raid can still confuse dmraid?
                     Jack
Comment 4 Need Real Name 2006-04-07 17:08:51 EDT
      I should note that this problem may effect other uses of software raid as well with FC5. I
had attempted to convert a machine running FC5 to a degraded software RAID-1 using the
protocol described at...

https://www.redhat.com/archives/fedora-list/2006-March/msg04350.html
https://www.redhat.com/archives/fedora-list/2006-March/msg04963.html

I strongly suspect now that FC5 would had recognized these degraded RAID-1
md partitions that I created had I known to disable dmraid with the 'nodmraid'
kernel option. Unfortunately I don't have that machine available to test this on
but I suspect it to be true.
Comment 5 Bug Zapper 2008-04-03 22:32:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Joel Andres Granados 2008-04-24 10:58:51 EDT
There is a bug where the dmraid stuff just blocks.  This bug has not been solved
yet and we are still working to fix it.   However there is a work around.  If
you use nodmraid, the installer will ignore/skip the dmraid stuff allowing the
install to finish.  This is a workaround and does not fix the problem.
There is a long list of bugs that are filed against this problem.  This bug is
one of them.  We have decided to close all the related nodmraid bugs and leave
just one open that will represent all of the others.  So this bug will be duped
for this reason.

*** This bug has been marked as a duplicate of 409931 ***

Note You need to log in before you can comment on or make changes to this bug.